
package com.google.api.ads.adwords.jaxws.v201109.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Adds or updates a bulk mutate job.
 *             
 *             <p>Use the &laquo;ADD&raquo; operator to submit a new job, and the
 *             &laquo;SET&raquo; operator to add additional
 *             {@linkplain BulkMutateRequest request parts} to an existing job.
 *             The &laquo;DELETE&raquo; operator is not supported.
 *             From v201008 and later, use the &laquo;REMOVE&raquo; operator to
 *             cancel a job. Only jobs that still have pending additions of request
 *             parts may be canceled.</p>
 *             
 *             <p class="note"><b>Note:</b> In the current implementation, the check for
 *             duplicate job keys is only "best effort", and may not prevent jobs with
 *             the same keys from being accepted if they are submitted around the same
 *             instant.</p>
 *             
 *             @param operation The operation to perform.
 *             @throws ApiException if problems occurred while creating or updating jobs
 *             @return The added or updated bulk mutate job.
 *           
 * 
 * <p>Java class for mutate element declaration.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;element name="mutate">
 *   &lt;complexType>
 *     &lt;complexContent>
 *       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *         &lt;sequence>
 *           &lt;element name="operation" type="{https://adwords.google.com/api/adwords/cm/v201109}JobOperation" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/restriction>
 *     &lt;/complexContent>
 *   &lt;/complexType>
 * &lt;/element>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "operation"
})
@XmlRootElement(name = "mutate")
public class BulkMutateJobServiceInterfacemutate {

    protected JobOperation operation;

    /**
     * Gets the value of the operation property.
     * 
     * @return
     *     possible object is
     *     {@link JobOperation }
     *     
     */
    public JobOperation getOperation() {
        return operation;
    }

    /**
     * Sets the value of the operation property.
     * 
     * @param value
     *     allowed object is
     *     {@link JobOperation }
     *     
     */
    public void setOperation(JobOperation value) {
        this.operation = value;
    }

}
