
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Mutates (sets) targets for specified campaign identified in the campaign operations.
 *             
 *             <p class="note"><b>Note:</b> When a campaign is created, its targeting
 *             options are also created. To add or remove targets, call {@code mutate} with
 *             the {@code SET} operator to update the target lists accordingly. The
 *             {@code ADD} and {@code REMOVE} operators are not supported.</p>
 *             @param operations list of operations associating targets with campaign ids.
 *             @return the updated campaign targets, not necessarily in the same order in which they came in.
 *             @throws ApiException if problems occurred while adding campaign targeting information.
 *           
 * 
 * <p>Java class for mutate element declaration.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;element name="mutate">
 *   &lt;complexType>
 *     &lt;complexContent>
 *       &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *         &lt;sequence>
 *           &lt;element name="operations" type="{https://adwords.google.com/api/adwords/cm/v201109_1}CampaignTargetOperation" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;/sequence>
 *       &lt;/restriction>
 *     &lt;/complexContent>
 *   &lt;/complexType>
 * &lt;/element>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "operations"
})
@XmlRootElement(name = "mutate")
public class CampaignTargetServiceInterfacemutate {

    protected List<CampaignTargetOperation> operations;

    /**
     * Gets the value of the operations property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the operations property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOperations().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link CampaignTargetOperation }
     * 
     * 
     */
    public List<CampaignTargetOperation> getOperations() {
        if (operations == null) {
            operations = new ArrayList<CampaignTargetOperation>();
        }
        return this.operations;
    }

}
