
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ReportDefinition.ReportType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="ReportDefinition.ReportType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="KEYWORDS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="AD_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="URL_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="ADGROUP_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="CAMPAIGN_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="ACCOUNT_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="GEO_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="SEARCH_QUERY_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="MANAGED_PLACEMENTS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="AUTOMATIC_PLACEMENTS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="CAMPAIGN_NEGATIVE_KEYWORDS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="CAMPAIGN_NEGATIVE_PLACEMENTS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="AD_EXTENSIONS_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="DESTINATION_URL_REPORT"/>
 *     &lt;enumeration value="CREATIVE_CONVERSION_REPORT"/>
 *     &lt;enumeration value="CALL_METRICS_CALL_DETAILS_REPORT"/>
 *     &lt;enumeration value="CRITERIA_PERFORMANCE_REPORT"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "ReportDefinition.ReportType")
@XmlEnum
public enum ReportDefinitionReportType {


    /**
     * 
     *                 Reports performance data for your keywords.
     *               
     * 
     */
    KEYWORDS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for your ads.
     *               
     * 
     */
    AD_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for URLs which triggered your ad and
     *                 received clicks.
     *               
     * 
     */
    URL_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports ad group performance data for one or more of your campaigns.
     *               
     * 
     */
    ADGROUP_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for your campaigns.
     *               
     * 
     */
    CAMPAIGN_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for your entire account.
     *               
     * 
     */
    ACCOUNT_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data by geographic origin.
     *               
     * 
     */
    GEO_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for search queries which triggered your ad and
     *                 received clicks.
     *               
     * 
     */
    SEARCH_QUERY_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for your managed placements on the content network.
     *               
     * 
     */
    MANAGED_PLACEMENTS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for automatic placements on the content network.
     *               
     * 
     */
    AUTOMATIC_PLACEMENTS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for negative keywords at the campaign level.
     *               
     * 
     */
    CAMPAIGN_NEGATIVE_KEYWORDS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for the negative placements at the campaign
     *                 level.
     *               
     * 
     */
    CAMPAIGN_NEGATIVE_PLACEMENTS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Report performance data for ad extensions.
     *               
     * 
     */
    AD_EXTENSIONS_PERFORMANCE_REPORT,

    /**
     * 
     *                 Reports performance data for destination urls.
     *               
     * 
     */
    DESTINATION_URL_REPORT,

    /**
     * 
     *                 Reports performance data for creative conversions (e.g. free clicks).
     *               
     * 
     */
    CREATIVE_CONVERSION_REPORT,

    /**
     * 
     *                 Reports per-phone-call details for calls tracked using call metrics.
     *                 <span class="constraint Beta">This is a beta feature.</span>
     *               
     * 
     */
    CALL_METRICS_CALL_DETAILS_REPORT,

    /**
     * 
     *                 Reports performance data for all published criteria types including keywords,
     *                 placements, topics, user-lists in a single report.
     *               
     * 
     */
    CRITERIA_PERFORMANCE_REPORT,

    /**
     * 
     *                 <span class="constraint Rejected">Used for return value only. An enumeration could not be processed, typically due to incompatibility with your WSDL version.</span>
     *               
     * 
     */
    UNKNOWN;

    public String value() {
        return name();
    }

    public static ReportDefinitionReportType fromValue(String v) {
        return valueOf(v);
    }

}
