
package com.google.api.ads.adwords.jaxws.v201206.cm;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents bids at the adgroup level, which could be of different subtypes based on
 *             campaign's bidding strategy.
 *             <span class="constraint AdxEnabled">This is disabled for AdX.</span>
 *           
 * 
 * <p>Java class for AdGroupBids complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdGroupBids">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="interactionBids" type="{https://adwords.google.com/api/adwords/cm/v201206}InteractionBid" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="AdGroupBids.Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdGroupBids", propOrder = {
    "interactionBids",
    "adGroupBidsType"
})
@XmlSeeAlso({
    PercentCPAAdGroupBids.class,
    ManualCPMAdGroupBids.class,
    ManualCPCAdGroupBids.class,
    BudgetOptimizerAdGroupBids.class,
    ConversionOptimizerAdGroupBids.class
})
public abstract class AdGroupBids {

    protected List<InteractionBid> interactionBids;
    @XmlElement(name = "AdGroupBids.Type")
    protected String adGroupBidsType;

    /**
     * Gets the value of the interactionBids property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the interactionBids property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getInteractionBids().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link InteractionBid }
     * 
     * 
     */
    public List<InteractionBid> getInteractionBids() {
        if (interactionBids == null) {
            interactionBids = new ArrayList<InteractionBid>();
        }
        return this.interactionBids;
    }

    /**
     * Gets the value of the adGroupBidsType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdGroupBidsType() {
        return adGroupBidsType;
    }

    /**
     * Sets the value of the adGroupBidsType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdGroupBidsType(String value) {
        this.adGroupBidsType = value;
    }

}
